#pragma once
 
using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Diagnostics;
using namespace Extensibility;
using namespace System::Windows::Forms;
using namespace System::Runtime::InteropServices;
 
namespace AdxHT_010_VC
{
    //Add-in Express Add-in Module
    [GuidAttribute("5EEBCFAA-0F9A-44C2-A08D-138075994832"), ProgId("AdxHT_010_VC.AddinModule")]
    __gc public class AddinModule : public AddinExpress::MSO::ADXAddinModule
    {
    public:
        AddinModule(void): AddinExpress::MSO::ADXAddinModule()
        {
            InitializeComponent();
        }
        AddinModule(System::ComponentModel::IContainer *container) : components(0)
        {
            /// <summary>
            /// Required for Windows.Forms Class Composition Designer support
            /// </summary>
 
            container->Add(this);
            InitializeComponent();
        }
 
        System::ComponentModel::IContainer* GetContainer()
        {
            return components;
        }
 
        void UninstallControls()
        {
            AddinExpress::MSO::ADXAddinModule::UninstallControls();
        }
 
        [ComRegisterFunctionAttribute]
        static void AddinRegister(System::Type* t)
        {
            AddinExpress::MSO::ADXAddinModule::ADXRegister(t);
        }
 
        [ComUnregisterFunctionAttribute]
        static void AddinUnregister(System::Type* t)
        {
            AddinExpress::MSO::ADXAddinModule::ADXUnregister(t);
        }
 
    protected:
        void Dispose(Boolean disposing)
        {
            if (disposing && components)
            {
                components->Dispose();
            }
            __super::Dispose(disposing);
        }
	private: AddinExpress::MSO::ADXExcelAppEvents *  adxExcelEvents;
	private: System::ComponentModel::IContainer *  components;

    private:
        /// <summary>
        /// Required designer variable.
        /// </summary>

 
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        void InitializeComponent(void)
        {
			this->components = new System::ComponentModel::Container();
			this->adxExcelEvents = new AddinExpress::MSO::ADXExcelAppEvents(this->components);
			// 
			// adxExcelEvents
			// 
			this->adxExcelEvents->WorkbookBeforeSave += new AddinExpress::MSO::ADXHostBeforeSave_EventHandler(this, adxExcelEvents_WorkbookBeforeSave);
			// 
			// AddinModule
			// 
			this->AddinName = S"XLExample1 (VC)";
			this->Description = S"Handle the WorkbookBeforeSave event (VC)";
			this->SupportedApps = AddinExpress::MSO::ADXOfficeHostApp::ohaExcel;

		}

	private: System::Void adxExcelEvents_WorkbookBeforeSave(System::Object *  sender, AddinExpress::MSO::ADXHostBeforeSaveEventArgs *  e)
			 {
				MessageBox::Show("User is trying to save (VC)");
			 }

	};
}

